# $Revision: 1.9 $, $Date: 2007-12-26 22:14:38 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Barcode
%define		pnam	Code128
Summary:	Barcode::Code128 - Perl module for generating CODE 128 bar codes
Summary(pl.UTF-8):	Barcode::Code128 - moduł Perla do generowania kodów paskowych CODE 128
Name:		perl-Barcode-Code128
Version:	2.01
Release:	1
License:	Public Domain
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Barcode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a0aa077b26926c30659471d14515d907
URL:		http://search.cpan.org/dist/Barcode-Code128/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Barcode::Code128 generates bar codes using the CODE 128 symbology. It
can generate images in PNG or GIF format using the GD package, or it
can generate a text string representing the barcode that you can
render using some other technology if desired.

%description -l pl.UTF-8
Barcode::Code128 generuje kody paskowe przy użyciu symboli CODE 128.
Może generować obrazki w formacie PNG lub GIF przy użyciu pakietu GD
albo tekst reprezentujący kod paskowy, który można zrenderować w inny
sposób.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
# module generates correct image, but a bit different to
# the one included in the distribution and compared with
mv t/png.t{,.broken}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Barcode/Code128.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Barcode-Code128.spec,v $
Revision 1.9  2007-12-26 22:14:38  qboosh
- fixed Source0 URL

Revision 1.8  2007-12-26 21:46:23  zbyniu
- up to 2.01; generic URL

Revision 1.7  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.5  2006/08/24 11:49:27  radek
- release 2: turned off t/png.t

Revision 1.4  2004/11/03 21:01:01  paladine
- formatting

Revision 1.3  2004/06/05 18:10:31  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.2  2004/04/11 21:16:32  qboosh
- proper desc, pl, cosmetics, fixed License, added doc

Revision 1.1  2004/04/11 15:02:15  agaran
new spec
